# Method: accounts.adclients.customchannels.patch

- [HTTP request](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/patch#body.request_body)
- [Response body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/patch#body.aspect)
- [Try it!](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/patch#try-it)

Updates a custom channel.

This method can be called only by a restricted set of projects, which are usually owned by [AdSense for Platforms](https://developers.google.com/adsense/platforms/) publishers. Contact your account manager if you need to use this method.

### HTTP request

`PATCH https://adsense.googleapis.com/v2/{customChannel.name=accounts/*/adclients/*/customchannels/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customChannel.name` | `string` Output only. Resource name of the custom channel. Format: accounts/{account}/adclients/{adclient}/customchannels/{customchannel} |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The list of fields to update. If empty, a full update is performed. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels#CustomChannel`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels#CustomChannel`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsense`